%{!?buildid: %{expand: %%define buildid 2}}
%define debug_package %{nil}
%define daemon_name ovs-devmon

Name:      devmon
Version:   3.4.7
Release:   %{buildid}%{?dist}
Summary:   System device Monitor for Oracle OVS
License:   GPLv2
Group:     System Environment/Daemons
URL:       http://www.oracle.com/virtualization
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: device-mapper-devel
BuildRequires: python-devel >= 2.7
BuildRequires: systemd
BuildRequires: xen-tools >= 4.4
Requires:  ovs-agent >= 3.4

%description
devmon daemon for Oracle OVS. Monitors all of the devices and provides health
information via agent notifier.


%prep
%setup -q


%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
make DESTDIR=${RPM_BUILD_ROOT}
install --mode=755 devmon ${RPM_BUILD_ROOT}/usr/bin/devmon
install -D -m 644 devmon.service ${RPM_BUILD_ROOT}/usr/lib/systemd/system/devmon.service

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# Add devmon under systemd control
%systemd_post devmon.service
systemctl enable devmon.service
# Refresh systemd run-time environment
/bin/systemctl daemon-reload >/dev/null 2>&1 || :

%preun
%systemd_preun devmon.service

%postun
/sbin/ldconfig
%systemd_postun devmon.service

%files
%defattr(-,root,root)
%doc COPYING
/usr/bin/devmon
%{_unitdir}/devmon.service


%changelog
* Thu Nov 5 2020 Vamsi Krishna Inguva <vamsi.inguva@oracle.com>
- Adding devmon as a service unit to the systemd

* Thu Jul 8 2010 Adnan Misherfi <adnan.misherfi@oracle.com>
- initial devmon spec file
